Bug 499769 - pkg_resources.DistributionNotFound: python-dateutil
pkg_resources.DistributionNotFound: python-dateutil
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-devshell (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Yaakov Nemoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 00:21 EDT by Jens Petersen
Modified: 2009-06-02 10:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.1.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 10:20:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-05-08 00:21:26 EDT
Description of problem:
When I run devshell or ports I get backtraces


Steps to Reproduce:
1. yum install fedora-devshell
2. run devshell (ports)
  
Actual results:
$ devshell 
Traceback (most recent call last):
  File "/usr/bin/devshell", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 2562, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: python-dateutil

Expected results:
something other than a backtrace

Additional info:
Some kind of help would be nice too:

$ ports --help
Traceback (most recent call last):
  File "/usr/bin/ports", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 2562, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 626, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: python-dateutil

maybe it is there, after the backtrace?
Comment 1 Yaakov Nemoy 2009-05-08 00:41:52 EDT
I'm on it, building now.
Comment 2 Fedora Update System 2009-05-08 00:50:39 EDT
fedora-devshell-0.1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fedora-devshell-0.1.1-2.fc11
Comment 3 Fedora Update System 2009-05-08 00:50:44 EDT
fedora-devshell-0.1.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fedora-devshell-0.1.1-2.fc10
Comment 4 Fedora Update System 2009-05-12 00:04:36 EDT
fedora-devshell-0.1.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-devshell'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4797
Comment 5 Fedora Update System 2009-05-12 00:04:49 EDT
fedora-devshell-0.1.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-devshell'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4801
Comment 6 Fedora Update System 2009-06-02 10:19:55 EDT
fedora-devshell-0.1.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-06-02 10:27:04 EDT
fedora-devshell-0.1.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.